Subject: Re: bug#13602: 24.3.50; remove bindings for `icomplete-minibuffer-map' - make a separate mode

From: Jambunathan K <[email-masked]>
Date: Wed, 06 Feb 2013 19:01:18 +0530

Juri Linkov <[email-masked]> writes:

>> I would have started this paragraph with: "With or without ido
>> keybindings".  Ido keybindings only adds cycling, it doesn't mess with
>> the display.
>
> Yes, "with or without ido keybindings", icomplete-mode is a standalone feature
> separate from ido keybindings.  As the node (info "(emacs) Minor Modes") says:
>
>    * Icomplete mode displays an indication of available completions when
>      you are in the minibuffer and completion is active.  *Note
>      Completion Options::.
>
> and also (info "(emacs) Completion Options"):
>
>      Icomplete mode presents a constantly-updated display that tells you
>   what completions are available for the text you've entered so far.
>
> and the Commentary section in icomplete.el:
>
>   ;; Prospective completions are concisely indicated within the
>   ;; minibuffer itself, with each successive keystroke.
>
> There is nothing in documentation that suggests icomplete-mode
> was intended to add ido keybindings.

I am amused by the last paragraph.  I don't think the author of
Icomplete was a clarivoyant.

You seem to make a mistaken assumption that if something is left un-said
then that something ceases to exist.

> If you want to create its submode implementing a new feature
> that makes it work like `ido', why not give it a new name like
> `icomplete-ido-mode'?

Let me remind everyone: I made a proposal and it sailed through.

Drew has made a proposal and you have chimed in.  It is for the
maintainers to make a call on what to do about it.  I don't think my
opinion matters here (much).

Jambunathan K.